import { InvoiceClosedPayload, PopupClosedPayload, ThemeChangedPayload, ViewportChangedPayload } from './events';
/**
 * Parses incoming value as ThemeChangedPayload.
 */
export declare const extractThemeChangedPayload: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<ThemeChangedPayload>>;
/**
 * Parses incoming value as ViewportChangedPayload.
 */
export declare function extractViewportChangedPayload(data: unknown): ViewportChangedPayload;
/**
 * Parses incoming value as PopupClosedPayload.
 */
export declare const extractPopupClosedPayload: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<PopupClosedPayload>>;
/**
 * Parses incoming value as InvoiceClosedPayload.
 */
export declare const extractInvoiceClosedPayload: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<InvoiceClosedPayload>>;
/**
 * Extracts event data from native application event.
 */
export declare const extractMessageEventData: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<{
    type: string;
    data: unknown;
}>>;
